from client import RestClient
from urllib.parse import urlparse

client = RestClient("your_api_login", "your_api_password")

task_id = '04271722-2692-0066-1000-f4e98cab3b19' # sets task id

response = client.get('/v3/serp/google/organic/task_get/regular/' + task_id);
# you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
if (response['status_code'] > 0 and response['status_code'] < 30000) :
	results = []
	for task in response['tasks']:
				if (task['status_code'] > 0 and task['status_code'] < 30000): # see https://docs.dataforseo.com/v3/appendix/errors/
					if ((task['data']).get('tag')) :
						site = task['data'].get('tag'); # we set 'site' value when setting the task
						for serp in task['result'] :
							for s in serp['items']:
								token=urlparse(s['url']).netloc # find domain name
								top_level=token.split('.')[-2]+'.'+token.split('.')[-1] # remove subdomain (get only 2 level domain)
								if (s['type'] == 'organic' and top_level == site):
									results.append(s); 
	print(results)
    # do something with result
else:
    print("error. Code: %d Message: %s" % (response["status_code"], response["status_message"]))